#!/usr/bin/perl
use Test::More tests => 4;
use POWER::Epoll;
use Errno;
use Data::Dumper;
use Socket;
no warnings 'once';

$epfd = epoll_create(10);

$PORT = 9750;	# just some unused port
socket(C, AF_INET, SOCK_STREAM, getprotobyname('tcp')) or die $!;
connect(C, sockaddr_in($PORT, INADDR_LOOPBACK)); # got error here!
epoll_add($epfd, fileno(C), EPOLLET|EPOLLOUT);
($status, $result) = epoll_wait($epfd, 3);
is($status, 1, '1 fd ready (status)');
is($#$result, 0, '1 fd ready (result)');
is($result->[0][0], fileno(C), 'got C');
is($result->[0][1], EPOLLOUT|EPOLLHUP, 'C = OUT|HUP');

#print Dumper [$status, $result];

